/*
<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>
              EUTGameLog
<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>
*/

class EUTGameLog extends StatLogFile;

var string LogFolder;

//-------------------------------------
//  StartLog
//-------------------------------------
function StartLog()
{
    local string s;

	s = "../"$LogFolder$"/[EUT]";
	s = s@SantitizeString(LogDate());
	StatLogFile = s$".tmp";
	StatLogFinal = s$".log";
	OpenLog();
}

//-------------------------------------
//  LogDate
//-------------------------------------
function string LogDate()
{
	local string Date, Time, Map, rv;

	Date = Level.Year$"-"$PrePad(Level.Month,"0",2)$"-"$PrePad(Level.Day,"0",2);
	Time = PrePad(Level.Hour,"0",2)$":"$PrePad(Level.Minute,"0",2)$"."$PrePad(Level.Second,"0",2);
	Map = GetMapFileName();
    return Map$"-"$Date$"-"$Time;
}

//-------------------------------------
// PrePad
//-------------------------------------
function string PrePad(coerce string s, string p, int i)
{
    while (Len(s) < i)
		s = p$s;
	return s;
}

//-------------------------------------
// SantitizeString
//-------------------------------------
function string SantitizeString(string s)
{
   local string rv;
   local int i;

	rv = "";

	for (i = 0; i < Len(s); i++)
	{
		if (InStr("\/*?:<>|"$Chr(34), Mid(s, i, 1) ) != -1)
			rv = rv $ "_";
		else
			rv = rv $ Mid(s, i, 1);
	}
    return rv;
}

//-------------------------------------
// Timer
//-------------------------------------
function Timer() {}

//-------------------------------------
// defaultproperties
//-------------------------------------
defaultproperties
{
    StatLogFile="./EUT.log"
}
