/*
<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>
        EUTGameReplicationInfo
<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>
*/
class EUTGameReplicationInfo expands CTFReplicationInfo;

var bool bShowIPS,
    bCanSpectate,
    bAutoShot,
    bTemp,
    bTeamBeacon,
    bDestroy,
    bJumpBoots,
    bLeaderBeacon,
    bDebug,
    bScoreBoardEff,
    bWarmupSwitch,
    bUsesCustomWeapon,
    bIpToCountry,
    bUsesSpreeSounds,
    bLevelSwitch,
    bMatchStarted,
    bEnhancedMessages,
    bTournament,
    bClassInitialized;

var byte SealsSpreeCount[40],
    CoversSpreeCount[40],
    HeadShotsCount[40],
    ClientHitSound[40],
    HeadHunterCount[40],
    ComboWhoreCount[40],
    FlakMonkeyCount[40],
    Dumx,
    RequestHitsounds,
    MouseYRefCount,
    ClientIdentified[40],
    SetFOV,
    TextureCounter,
    TextureSwitch,
    ScrollersCount,
    TimeOffset,
    PlayWaitMessage[40];

var int TotalDamageAmmount[40],
    TotalKills[40],
    TotalDeaths[40],
    CurrentRanking[40],
    CurrentTotalAccuracy[40],
    BestRanking[3],
    ArmorAmmount[40],
    HealthAmmount[40],
    ClientCrosshair,
    ClientPing[40],
    EnforcerHitCount[40],
    BioGunHitCount[40],
    PulseGunHitCount[40],
    RipperHitCount[40],
    MiniGunHitCount[40],
    FlakGunHitCount[40],
    EightBallHitCount[40],
    SniperRifleHitCount[40],
    SuperShockRifleHitCount[40],
    ShockRifleHitCount[40],
    CustomWeaponHitCount[40],
    BestTDMRanking[3],
    LeaderID,
    BestDMRanking[3],
    RealTotalGameTime;

var float TraceDistance,
    MouseYSetting;

var string RedTeamName,
    BlueTeamName,
    BestPlayers[3],
    TransKillMessage,
    ImpactKillMessage,
    EnforcerKillMessage,
    BioKillMessage,
    ShockRifleKillMessage,
    PulseGunKillMessage,
    RipperKillMessage,
    MiniGunKillMessage,
    FlakCannonKillMessage,
    RocketLauncherKillMessage,
    SniperRifleKillMessage,
    CustomWeaponKillMessage,
    BestTDMPlayers[3],
    BestDMPlayers[3],
    IpToCountryTexturePackage,
    AerialKillBio,
    AerialKillRipper,
    AerialKillFlak,
    AerialKillRockets,
    AerialKillSniper,
    AerialKillSuper,
    AerialKillTrans,
    AerialKillCombo,
    AerialKillEnforcer,
    AerialKillPulse,
    AerialKillMini,
    AerialKillPiston,
    AerialKillCustom,
    _EnforcerKillMessage,
    _BioKillMessage,
    _ShockRifleKillMessage,
    _PulseGunKillMessage,
    _RipperKillMessage,
    _MiniGunKillMessage,
    _FlakGunKillMessage,
    _EightBallKillMessage,
    _SniperRifleKillMessage,
    _CustomeWeaponKillMessage,
    _AerialKillBioGunMessage,
    _AerialKillRipperMessage,
    _AerialKillFlakGunMessage,
    _AerialKillEightBallMessage,
    _AerialKillSniperRifleMessage,
    _AerialKillShockRifleMessage,
    _AerialKillTranslocatorMessage,
    _AerialKillComboMessage,
    _AerialKillEnforcerMessage,
    _AerialKillPulseGunMessage,
    _AerialKillMiniGunMessage,
    _AerialKillPistonMessage,
    _AerialKillImpactMessage,
    _AerialKillTransMessage,
    _AerialKillCustom,
    CustomWeaponName,
    StoredPlayerIP[40],
    IPCTexture[40],
    MessageOfTheDay;

var texture ClientCrosshairTexture;

struct _Accuracy1
{
    var byte Enforcer,
    BioGun,
    ShockRifle;
};
var _Accuracy1 PlayerAccuracy1[40];

struct _Accuracy2
{
    var byte PulseGun,
    Ripper,
    MiniGun;
} ;
var _Accuracy2 PlayerAccuracy2[40];

struct _Accuracy3
{
    var byte FlakCannon,
    EightBall,
    SniperRifle,
    InstaGib;
} ;
var _Accuracy3 PlayerAccuracy3[40];

struct _Accuracy4
{
    var byte CustomWeapon;
} ;
var _Accuracy4 PlayerAccuracy4[40];

struct _SmartCTFStats
{
    var int FlagGrabs,
    FlagAssists,
    BaseSeals,
    FlagCovers,
    FlagKills,
    FlagDenied,
    FlagSaves;
} ;
var _SmartCTFStats SmartStats;

struct _IndividualCTFStats1
{
    var byte FlagCaps,
    FlagGrabs,
    BaseSeals,
    FlagAssists;
} ;
var _IndividualCTFStats1 IStats1[40];

struct _IndividualCTFStats2
{
    var byte FlagKills,
    FlagsDenied,
    FlagSaves,
    GameSaves;
} ;
var _IndividualCTFStats2 IStats2[40];

struct _IndividualCTFStats3
{
    var byte FlagCovers;
} ;
var _IndividualCTFStats3 IStats3[40];

struct _KillingSpreeStats
{
    var byte UltraKills,
    MonsterKills,
    LudicriousKills,
    HolyShitKills;
} ;
var _KillingSpreeStats KillingSpree[40];

struct _MultiKills1
{
    var byte KillingSpree,
    Rampage,
    Dominating;
} ;
var _MultiKills1 MultiKills1[40];

struct _MultiKills2
{
    var byte UnStoppable,
    Godlike,
    Ownage;
} ;
var _MultiKills2 MultiKills2[40];

struct _ClientWeaponAccuracy
{
    var byte Enforcer,
    BioGun,
    ShockRifle,
    PulseGun,
    Ripper,
    MiniGun,
    FlakCannon,
    EightBall,
    SniperRifle,
    SuperShockRifle,
    CustomWeapon;
};
var _ClientWeaponAccuracy WeaponAccuracy;

var sound SpreeSound[10],
    DoubleKillSound,
    MultiKillSound,
    MegaKillSound,
    UltraKillSound,
    MonsterKillSoundF,
    LudicriousKillSound,
    HolyShitKillSound,
    OwnageSound,
    RedTeamScoresSound,
    BlueTeamScoresSound,
    RedTeamTakesTheLeadSound,
    BlueTeamTakesTheLeadSound,
    RedTeamIncreasesThierLeadSound,
    BlueTeamIncreasesThierLeadSound,
    RedTeamDominatingSound,
    BlueTeamDominatingSound,
    DeniedSound,
    FlakMonkeySound,
    HeadHunterSound,
    ComboWhoreSound,
    WhickedSickSound,
    RedTeamIsTheWinnerSound,
    BlueTeamIsTheWinnerSound,
    FlawlessVictorySound,
    LastSecondSaveSound,
    HatTrickSound,
    HitSoundSound,
    HitSoundFriendlySound;

var ScrollingMessageTexture Scrollers[10];


//-------------------------------------
// replication
//-------------------------------------
replication
{
	reliable if ( Role == ROLE_Authority )
		SmartStats,
        SealsSpreeCount,
        CoversSpreeCount,
        TotalDamageAmmount,
        HeadShotsCount,
        bShowIPS,
        bIpToCountry,
        RedTeamName,
        BlueTeamName,
        TotalKills,
        TotalDeaths,
        CurrentRanking,
        CurrentTotalAccuracy,
        ClientHitSound,
        BestPlayers,
        BestRanking,
        bCanSpectate,
        EnforcerHitCount,
        BioGunHitCount,
        PulseGunHitCount,
        RipperHitCount,
        MiniGunHitCount,
        FlakGunHitCount,
        EightBallHitCount,
        SniperRifleHitCount,
        SuperShockRifleHitCount,
        ShockRifleHitCount,
        CustomWeaponHitCount,
        PlayerAccuracy1,
        PlayerAccuracy2,
        PlayerAccuracy3,
        PlayerAccuracy4,
        IStats1,
        IStats2,
        IStats3,
        KillingSpree,
        MultiKills1,
        HeadHunterCount,
        ComboWhoreCount,
        FlakMonkeyCount,
        ArmorAmmount,
        HealthAmmount,
        MultiKills2,
        bTemp,
        TraceDistance,
        bTeamBeacon,
        EnforcerKillMessage,
        BioKillMessage,
        ShockRifleKillMessage,
        PulseGunKillMessage,
        RipperKillMessage,
        MiniGunKillMessage,
        FlakCannonKillMessage,
        RocketLauncherKillMessage,
        SniperRifleKillMessage,
        CustomWeaponKillMessage,
        ImpactKillMessage,
        TransKillMessage,
        AerialKillBio,
        AerialKillRipper,
        AerialKillFlak,
        AerialKillRockets,
        AerialKillSniper,
        AerialKillSuper,
        AerialKillTrans,
        AerialKillCombo,
        AerialKillEnforcer,
        AerialKillPulse,
        AerialKillMini,
        AerialKillPiston,
        AerialKillCustom,
        ClientPing,
        bScoreBoardEff,
        CustomWeaponName,
        bLeaderBeacon,
        BestTDMRanking,
        BestTDMPlayers,
        LeaderID,
        bWarmupSwitch,
        StoredPlayerIP,
        IPCTexture,
        IpToCountryTexturePackage,
        bUsesCustomWeapon,
        SpreeSound,
        DoubleKillSound,
        MultiKillSound,
        MegaKillSound,
        UltraKillSound,
        MonsterKillSoundF,
        LudicriousKillSound,
        HolyShitKillSound,
        OwnageSound,
        bUsesSpreeSounds,
        SetFOV,
        bLevelSwitch,
        bMatchStarted,
        bEnhancedMessages,
        RedTeamScoresSound,
        BlueTeamScoresSound,
        RedTeamTakesTheLeadSound,
        BlueTeamTakesTheLeadSound,
        RedTeamIncreasesThierLeadSound,
        BlueTeamIncreasesThierLeadSound,
        RedTeamDominatingSound,
        BlueTeamDominatingSound,
        DeniedSound,
        FlakMonkeySound,
        HeadHunterSound,
        ComboWhoreSound,
        WhickedSickSound,
        RedTeamIsTheWinnerSound,
        BlueTeamIsTheWinnerSound,
        FlawlessVictorySound,
        LastSecondSaveSound,
        HatTrickSound,
        HitSoundSound,
        HitSoundFriendlySound,
        bTournament,
        MessageOfTheDay,
        BestDMRanking,
        BestDMPlayers,
        ScrollersCount,
        Scrollers,
        RealTotalGameTime,
        PlayWaitMessage;
}

//-------------------------------------
// PostBeginPlay
//-------------------------------------
simulated function PostBeginPlay()
{
	super(TournamentGameReplicationInfo).PostBeginPlay();

	if (SmartCTFGame(Level.Game) != None)
	{
		SmartStats.FlagGrabs = SmartCTFGame(Level.Game)._EndStatsClass.default.TotalGrabs;
		SmartStats.BaseSeals = SmartCTFGame(Level.Game)._EndStatsClass.default.TotalSeals;
		SmartStats.FlagAssists = SmartCTFGame(Level.Game)._EndStatsClass.default.TotalAssists;
		SmartStats.FlagCovers = SmartCTFGame(Level.Game)._EndStatsClass.default.TotalCovers;
		SmartStats.FlagKills = SmartCTFGame(Level.Game)._EndStatsClass.default.TotalFlagKills;
		SmartStats.FlagDenied = SmartCTFGame(Level.Game)._EndStatsClass.default.TotalDenied;
		SmartStats.FlagSaves = SmartCTFGame(Level.Game)._EndStatsClass.default.TotalSaves;
		BestPlayers[0] = SmartCTFGame(Level.Game)._EndStatsClass.default.BestPlayers[0];
        BestRanking[0] = SmartCTFGame(Level.Game)._EndStatsClass.default.BestRanking[0];
        BestPlayers[1] = SmartCTFGame(Level.Game)._EndStatsClass.default.BestPlayers[1];
        BestRanking[1] = SmartCTFGame(Level.Game)._EndStatsClass.default.BestRanking[1];
        BestPlayers[2] = SmartCTFGame(Level.Game)._EndStatsClass.default.BestPlayers[2];
        BestRanking[2] = SmartCTFGame(Level.Game)._EndStatsClass.default.BestRanking[2];
	}
	else if (EUTTeamGamePlus(Level.Game) != None)
	{
		BestTDMPlayers[0] = EUTTeamGamePlus(Level.Game)._EndStatsClass.default.BestTDMPlayers[0];
        BestTDMRanking[0] = EUTTeamGamePlus(Level.Game)._EndStatsClass.default.BestTDMRanking[0];
        BestTDMPlayers[1] = EUTTeamGamePlus(Level.Game)._EndStatsClass.default.BestTDMPlayers[1];
        BestTDMRanking[1] = EUTTeamGamePlus(Level.Game)._EndStatsClass.default.BestTDMRanking[1];
        BestTDMPlayers[2] = EUTTeamGamePlus(Level.Game)._EndStatsClass.default.BestTDMPlayers[2];
        BestTDMRanking[2] = EUTTeamGamePlus(Level.Game)._EndStatsClass.default.BestTDMRanking[2];
	}
	else if (EUTDeathMatchPlus(Level.Game) != None)
	{
	    BestDMPlayers[0] = EUTDeathMatchPlus(Level.Game)._EndStatsClass.default.BestDMPlayers[0];
        BestDMRanking[0] = EUTDeathMatchPlus(Level.Game)._EndStatsClass.default.BestDMRanking[0];
        BestDMPlayers[1] = EUTDeathMatchPlus(Level.Game)._EndStatsClass.default.BestDMPlayers[1];
        BestDMRanking[1] = EUTDeathMatchPlus(Level.Game)._EndStatsClass.default.BestDMRanking[1];
        BestDMPlayers[2] = EUTDeathMatchPlus(Level.Game)._EndStatsClass.default.BestDMPlayers[2];
        BestDMRanking[2] = EUTDeathMatchPlus(Level.Game)._EndStatsClass.default.BestDMRanking[2];
	}
}

simulated function Timer()
{
    if (TimeOffset == 4) { RealTotalGameTime++; TimeOffset = 0; }
    TimeOffset++;
    Super.Timer();
}

//-------------------------------------
// defaultproperties
//-------------------------------------
defaultproperties
{
    MouseYSetting=99.00
    NetPriority=3.00
}
