/*
<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>
        EUTHudSettingsWindow
<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>
*/

class EUTHudSettingsWindow extends UWindowDialogClientWindow;

var EUTHudSettings HS;
var PlayerPawn MyPlayer;

var bool bAutoSS,
    bShowPing,
    bShowTime,
    bUseColoredText,
    bShowTeams,
    bShowFC,
    bDrawDot,
    bTeamBeacons,
    bJumpBoots,
    bLeader;

var byte ScopeMode,
    HitSoundSoundS,
    NetAdjPer,
    AutoRecord;

var color DotColor,
    DotPreview;

var int WeaponAccuracy;

var float DotPosX,
    DotPosY,
    Control,
    ScopeOffset;

var string ScopeTexturePreview;

var texture ScopeTexture;

var UWindowLabelControl Info;
var UWindowLabelControl Info2;
var UWindowLabelControl Info3;
var UWindowSmallButton PlayButton;
var UWindowSmallButton SpecButton;

var UWindowCheckBox ShowTimeEditor;
var localized string ShowTimeText;
var localized string ShowTimeHelp;

var UWindowCheckBox ShowPingEditor;
var localized string ShowPingText;
var localized string ShowPingHelp;

var UWindowCheckBox ShowTeamsEditor;
var localized string ShowTeamsText;
var localized string ShowTeamsHelp;

var UWindowEditControl ShowAccEditor;
var localized string ShowAccText;
var localized string ShowAccHelp;

var UWindowCheckBox ShowFCEditor;
var localized string ShowFCText;
var localized string ShowFCHelp;

var UWindowCheckBox AutoSSEditor;
var localized string AutoSSText;
var localized string AutoSSHelp;

var UWindowCheckBox ShowTBEditor;
var localized string ShotTBText;
var localized string ShowTBHelp;

var UWindowCheckBox ColoredTextEditor;
var localized string ColoredTextText;
var localized string ColoredTextHelp;

var UWindowCheckBox UseDotEditor;
var localized string UseDotText;
var localized string UseDotHelp;

var UWindowCheckBox HitSoundsEditor;
var localized string HitSoundsText;
var localized string HitSoundsHelp;

var UWindowHSliderControl ScopeSliderEditor;
var localized string ScopeSliderText;
var localized string ScopeSliderHelp;

var UWindowCheckBox ShowBootsEditor;
var localized string ShowBootsText;
var localized string ShowBootsHelp;

var UWindowCheckBox ShowLeaderEditor;
var localized string ShowLeaderText;
var localized string ShowLeaderHelp;

var UWindowEditControl DotREditor;
var localized string DotRText;
var localized string DotRHelp;

var UWindowEditControl DotBEditor;
var localized string DotBText;
var localized string DotBHelp;

var UWindowEditControl DotGEditor;
var localized string DotGText;
var localized string DotGHelp;

var UWindowEditControl DotXEditor;
var localized string DotXText;
var localized string DotXHelp;

var UWindowEditControl DotYEditor;
var localized string DotYText;
var localized string DotYHelp;

var UWindowHSliderControl NetAdjEditor;
var localized string NetAdjText;
var localized string NetAdjHelp;
var string NetAdjHelper;

var UWindowEditControl AutoRecordEditor;
var localized string AutoRecordText;
var localized string AutoRecordHelp;


var texture Preview1,
    Preview2,
    Preview3,
    Preview4,
    Preview5,
    PreviewDot;
//-------------------------------------
// Created
//-------------------------------------
function Created()
{
	local int cw, cl, cr, w, x, bw, bl;

    LoadSettings();

	cw = WinWidth / 2.5;
	cl = (WinWidth / 2 - cw) / 2;
	cr = WinWidth / 2 + cl;
	w = (WinWidth / 4) * 3;
	x = (WinWidth - w) / 2;
	bw = WinWidth - 140;
	bl = WinWidth - bw - 40;

    Super.Created();

    Control+=10;
    Info = UWindowLabelControl(CreateControl(Class'UWindowLabelControl',cl, Control, cw*2, 1));
    Info.SetText("*Must Be Enabled Serverside");
    Info.SetFont(F_Normal);
    Info.Align = TA_Left;

    Control += 10;
    Info2 = UWindowLabelControl(CreateControl(Class'UWindowLabelControl',cl, Control, cw*2, 1));
    Info2.SetText("F2 /F3 Advanced Game Stats");
    Info2.SetFont(F_Normal);
    Info2.Align = TA_Left;

    Control += 10;
    ShowTimeEditor = UWindowCheckbox(CreateControl(class'UWindowCheckbox', cl, Control, cw, 1));
	ShowTimeEditor.SetText(ShowTimeText);
	ShowTimeEditor.SetHelpText(ShowTimeHelp);
	ShowTimeEditor.SetFont(F_Normal);
	ShowTimeEditor.Align = TA_Left;
	ShowTimeEditor.bChecked = HS.bShowTime;

	ShowPingEditor = UWindowCheckbox(CreateControl(class'UWindowCheckbox', cl, Control, cw, 1));
	ShowPingEditor.SetText(ShowPingText);
	ShowPingEditor.SetHelpText(ShowPingHelp);
	ShowPingEditor.SetFont(F_Normal);
	ShowPingEditor.Align = TA_Left;
	ShowPingEditor.bChecked = HS.bShowPing;

	Control += 20;
    ShowTeamsEditor = UWindowCheckbox(CreateControl(class'UWindowCheckbox', cl, Control, cw, 1));
	ShowTeamsEditor.SetText(ShowTeamsText);
	ShowTeamsEditor.SetHelpText(ShowTeamsHelp);
	ShowTeamsEditor.SetFont(F_Normal);
	ShowTeamsEditor.Align = TA_Left;
	ShowTeamsEditor.bChecked = HS.bShowTeams;

	ShowAccEditor = UWindowEditControl(CreateControl(class'UWindowEditControl', cl, Control, cw, 1));
	ShowAccEditor.SetText(ShowAccText);
	ShowAccEditor.SetHelpText(ShowAccHelp);
	ShowAccEditor.SetFont(F_Normal);
	ShowAccEditor.SetNumericOnly(True);
	ShowAccEditor.SetMaxLength(3);
	ShowAccEditor.Align = TA_Left;
	ShowAccEditor.SetValue(string(HS.bShowWeaponAccuracy));

	Control += 20;
	ShowFCEditor = UWindowCheckbox(CreateControl(class'UWindowCheckbox', cl, Control, cw, 1));
	ShowFCEditor.SetText(ShowFCText);
	ShowFCEditor.SetHelpText(ShowFCHelp);
	ShowFCEditor.SetFont(F_Normal);
	ShowFCEditor.Align = TA_Left;
	ShowFCEditor.bChecked = HS.bShowFC;

	AutoSSEditor = UWindowCheckbox(CreateControl(class'UWindowCheckbox', cl, Control, cw, 1));
	AutoSSEditor.SetText(AutoSSText);
	AutoSSEditor.SetHelpText(AutoSSHelp);
	AutoSSEditor.SetFont(F_Normal);
	AutoSSEditor.Align = TA_Left;
	AutoSSEditor.bChecked = HS.bAutoShot;

    Control += 20;
	ShowTBEditor = UWindowCheckbox(CreateControl(class'UWindowCheckbox', cl, Control, cw, 1));
	ShowTBEditor.SetText(ShotTBText);
	ShowTBEditor.SetHelpText(ShowTBHelp);
	ShowTBEditor.SetFont(F_Normal);
	ShowTBEditor.Align = TA_Left;
	ShowTBEditor.bChecked = HS.bTeamBeacon;

	UseDotEditor = UWindowCheckbox(CreateControl(class'UWindowCheckbox', cl, Control, cw, 1));
	UseDotEditor.SetText(UseDotText);
	UseDotEditor.SetHelpText(UseDotHelp);
	UseDotEditor.SetFont(F_Normal);
	UseDotEditor.Align = TA_Left;
	UseDotEditor.bChecked = HS.bDot;

	Control += 20;
	ColoredTextEditor = UWindowCheckbox(CreateControl(class'UWindowCheckbox', cl, Control, cw, 1));
	ColoredTextEditor.SetText(ColoredTextText);
	ColoredTextEditor.SetHelpText(ColoredTextHelp);
	ColoredTextEditor.SetFont(F_Normal);
	ColoredTextEditor.Align = TA_Left;
	ColoredTextEditor.bChecked = HS.bColoredText;

	HitSoundsEditor = UWindowCheckBox(CreateControl(class'UWindowCheckBox', cl, Control, cw, 1));
	HitSoundsEditor.SetText(HitSoundsText);
	HitSoundsEditor.SetHelpText(HitSoundsHelp);
	HitSoundsEditor.SetFont(F_Normal);
	HitSoundsEditor.Align = TA_Left;

	if (HS.HitSounds == 1) HitSoundsEditor.bChecked = true;
    else HitSoundsEditor.bChecked = false;

	Control += 20;
	ShowBootsEditor = UWindowCheckbox(CreateControl(class'UWindowCheckbox', cl, Control, cw, 1));
	ShowBootsEditor.SetText(ShowBootsText);
	ShowBootsEditor.SetHelpText(ShowBootsHelp);
	ShowBootsEditor.SetFont(F_Normal);
	ShowBootsEditor.Align = TA_Left;
	ShowBootsEditor.bChecked = HS.bJumpBoots;

	ShowLeaderEditor = UWindowCheckbox(CreateControl(class'UWindowCheckbox', cl, Control, cw, 1));
	ShowLeaderEditor.SetText(ShowLeaderText);
	ShowLeaderEditor.SetHelpText(ShowLeaderHelp);
	ShowLeaderEditor.SetFont(F_Normal);
	ShowLeaderEditor.Align = TA_Left;
	ShowLeaderEditor.bChecked = HS.bLeaderBeacon;

	ScopeOffset = Control + 20;
    Control += 100;
	DesiredWidth = 220;
	DesiredHeight = 70;
	ScopeSliderEditor = UWindowHSliderControl(CreateControl(class'UWindowHSliderControl', x, Control, w, 1));
	ScopeSliderEditor.SetRange(0, 5, 1);
	ScopeSliderEditor.SetValue(HS.ScopeMode - 1);
	ScopeSliderEditor.SetText(ScopeSliderText);
	ScopeSliderEditor.SetHelpText(ScopeSliderHelp);
	ScopeSliderEditor.Align = TA_Left;
	ScopeSliderEditor.SetFont(F_Normal);

	Control += 20;
	DotREditor = UWindowEditControl(CreateControl(class'UWindowEditControl', cl, Control, cw, 1));
	DotREditor.SetText(DotRText);
	DotREditor.SetHelpText(DotRHelp);
	DotREditor.SetFont(F_Normal);
	DotREditor.SetNumericOnly(True);
	DotREditor.SetMaxLength(3);
	DotREditor.Align = TA_Left;
	DotREditor.SetValue(string(HS.DotColor.R));

	DotXEditor = UWindowEditControl(CreateControl(class'UWindowEditControl', cl, Control, cw, 1));
	DotXEditor.SetText(DotXText);
	DotXEditor.SetHelpText(DotXHelp);
	DotXEditor.SetFont(F_Normal);
	DotXEditor.SetNumericOnly(True);
	DotXEditor.SetNumericFloat(True);
	DotXEditor.SetMaxLength(8);
	DotXEditor.Align = TA_Left;
	DotXEditor.SetValue(string(HS.DotX));

	Control += 20;
	DotGEditor = UWindowEditControl(CreateControl(class'UWindowEditControl', cl, Control, cw, 1));
	DotGEditor.SetText(DotGText);
	DotGEditor.SetHelpText(DotGHelp);
	DotGEditor.SetFont(F_Normal);
	DotGEditor.SetNumericOnly(True);
	DotGEditor.SetMaxLength(3);
	DotGEditor.Align = TA_Left;
	DotGEditor.SetValue(string(HS.DotColor.G));

	DotYEditor = UWindowEditControl(CreateControl(class'UWindowEditControl', cl, Control, cw, 1));
	DotYEditor.SetText(DotYText);
	DotYEditor.SetHelpText(DotYHelp);
	DotYEditor.SetFont(F_Normal);
	DotYEditor.SetNumericOnly(True);
	DotYEditor.SetNumericFloat(True);
	DotYEditor.SetMaxLength(8);
	DotYEditor.Align = TA_Left;
	DotYEditor.SetValue(string(HS.DotY));

	Control += 20;
	DotBEditor = UWindowEditControl(CreateControl(class'UWindowEditControl', cl, Control, cw, 1));
	DotBEditor.SetText(DotBText);
	DotBEditor.SetHelpText(DotBHelp);
	DotBEditor.SetFont(F_Normal);
	DotBEditor.SetNumericOnly(True);
	DotBEditor.SetMaxLength(3);
	DotBEditor.Align = TA_Left;
	DotBEditor.SetValue(string(HS.DotColor.B));

	Control += 20;
	NetAdjEditor = UWindowHSliderControl(CreateControl(class'UWindowHSliderControl', x, Control, w, 1));
	NetAdjEditor.SetRange(0, 9, 1);
	NetAdjEditor.SetValue(HS.nLevel);
	NetAdjHelper = GetNetAdj();
	NetAdjEditor.SetText(NetAdjText$"("$NetAdjHelper$")");
	NetAdjEditor.SetHelpText(NetAdjHelp);
	NetAdjEditor.Align = TA_Left;
	NetAdjEditor.SetFont(F_Normal);

    Control += 20;
	AutoRecordEditor = UWindowEditControl(CreateControl(class'UWindowEditControl', cl, Control, cw, 1));
	AutoRecordEditor.SetText(AutoRecordText);
	AutoRecordEditor.SetHelpText(AutoRecordHelp);
	AutoRecordEditor.SetFont(F_Normal);
	AutoRecordEditor.SetNumericOnly(True);
	AutoRecordEditor.SetMaxLength(1);
	AutoRecordEditor.Align = TA_Left;
	AutoRecordEditor.SetValue(string(HS.AutoRecorder));

    Control += 20;
    PlayButton = UWindowSmallButton(CreateControl(Class'UWindowSmallButton',cl,Control,w,1));
    PlayButton.SetText("Play");

    Control += 20;
    SpecButton = UWindowSmallButton(CreateControl(Class'UWindowSmallButton',cl,Control,w,1));
    SpecButton.SetText("Spec");

}

//-------------------------------------
// Paint
//-------------------------------------
function Paint(Canvas C, float x, float y)
{
    local texture text;
    local int cw, cl, cr, w, z, ScopeX, DotX;
	local color PreColor;

	cw = WinWidth / 2.5;
	cl = (WinWidth / 2 - cw) / 2;
	cr = WinWidth / 2 + cl;
	w = (WinWidth / 4) * 3;
	z = (WinWidth - w) / 2;

    Super.Paint(C, x, y);

    LoadTextures();

    ScopeX = (WinWidth - ScopeTexture.USize) / 4;
	text = GetLookAndFeelTexture();
	DrawUpBevel(C, ScopeX - 3, ScopeOffset + 7, ScopeTexture.USize + 6, ScopeTexture.VSize + 6, text);
	DrawStretchedTexture(C, ScopeX, ScopeOffset + 10, ScopeTexture.USize, ScopeTexture.VSize, Texture'BlackTexture');
    DrawClippedTexture(C, ScopeX, ScopeOffset + 10, ScopeTexture);

    DotX = (WinWidth - PreviewDot.USize) / 2 + ScopeX;
	text = GetLookAndFeelTexture();
	DrawUpBevel(C, DotX - 3, ScopeOffset + 7, PreviewDot.USize + 6, PreviewDot.VSize + 6, text);
	DrawStretchedTexture(C, DotX, ScopeOffset + 10, PreviewDot.USize, PreviewDot.VSize, Texture'BlackTexture');
	PreColor = C.DrawColor;
	C.DrawColor = DotPreview;
    DrawClippedTexture(C, DotX, ScopeOffset + 10, PreviewDot);
    C.DrawColor = PreColor;
}

//-------------------------------------
// LoadTextures
//-------------------------------------
function LoadTextures()
{

    Preview1 = Texture(DynamicLoadObject("EUT_Textures.EUT_Preview1", class'Texture'));
    Preview2 = Texture(DynamicLoadObject("EUT_Textures.EUT_Preview2", class'Texture'));
    Preview3 = Texture(DynamicLoadObject("EUT_Textures.EUT_Preview3", class'Texture'));
    Preview4 = Texture(DynamicLoadObject("EUT_Textures.EUT_Preview4", class'Texture'));
    Preview5 = Texture(DynamicLoadObject("EUT_Textures.EUT_Preview5", class'Texture'));
    PreviewDot = Texture(DynamicLoadObject("EUT_Textures.EUT_PreviewDot", class'Texture'));

    DotPreview.R = HS.DotColor.R;
    DotPreview.B = HS.DotColor.B;
    DotPreview.G = HS.DotColor.G;

    switch (ScopeSliderEditor.GetValue())
    {
       case 0: ScopeTexture = Preview1; break;
       case 1: ScopeTexture = Preview2; break;
       case 2: ScopeTexture = Preview3; break;
       case 3: ScopeTexture = Preview4; break;
       case 4: ScopeTexture = Preview5; break;
       default: ScopeTexture = Preview4; break;
    }
}

//-------------------------------------
// BeforePaint
//-------------------------------------
function BeforePaint(Canvas C, float x, float y)
{
	local int cw, cl, cr, w, z, bw, bl, edit;

    Super.BeforePaint(C, x, y);

    cw = WinWidth / 2.5;
	cl = (WinWidth / 2 - cw) / 2;
	cr = WinWidth / 2 + cl;
	w = (WinWidth / 4) * 3;
	z = (WinWidth - w) / 2;
	edit = w - 100;
    ShowTimeEditor.SetSize(cw, 1);
	ShowTimeEditor.WinLeft = cl;
	ShowPingEditor.SetSize(cw, 1);
	ShowPingEditor.WinLeft = cr;
	ShowTeamsEditor.SetSize(cw, 1);
	ShowTeamsEditor.WinLeft = cl;
	ShowAccEditor.SetSize(cw, 1);
	ShowAccEditor.WinLeft = cr;
	ShowAccEditor.EditBoxWidth = 20;
	ShowFCEditor.SetSize(cw, 1);
	ShowFCEditor.WinLeft = cl;
	AutoSSEditor.SetSize(cw, 1);
	AutoSSEditor.WinLeft = cr;
	ShowTBEditor.SetSize(cw, 1);
	ShowTBEditor.WinLeft = cl;
	UseDotEditor.SetSize(cw, 1);
	UseDotEditor.WinLeft = cr;
	ColoredTextEditor.SetSize(cw, 1);
	ColoredTextEditor.WinLeft = cl;
	HitSoundsEditor.SetSize(cw, 1);
	HitSoundsEditor.WinLeft = cr;
	ShowBootsEditor.SetSize(cw, 1);
	ShowBootsEditor.WinLeft = cl;
	ShowLeaderEditor.SetSize(cw,1);
	ShowLeaderEditor.WinLeft = cr;
	ScopeSliderEditor.SetSize(w, 1);
	ScopeSliderEditor.SliderWidth = 90;
	ScopeSliderEditor.WinLeft = cl;
	DotREditor.SetSize(cw, 1);
	DotREditor.WinLeft = cl;
	DotREditor.EditBoxWidth = 20;
	DotXEditor.SetSize(cw, 1);
	DotXEditor.WinLeft = cr;
	DotXEditor.EditBoxWidth = 50;
	DotBEditor.SetSize(cw, 1);
	DotBEditor.WinLeft = cl;
	DotBEditor.EditBoxWidth = 20;
	DotYEditor.SetSize(cw, 1);
	DotYEditor.WinLeft = cr;
	DotYEditor.EditBoxWidth = 50;
	DotGEditor.SetSize(cw, 1);
	DotGEditor.WinLeft = cl;
	DotGEditor.EditBoxWidth = 20;
	NetAdjEditor.SetSize(w, 1);
	NetAdjEditor.SliderWidth = 90;
	NetAdjEditor.WinLeft = cl;
	AutoRecordEditor.SetSize(WinWidth / 2 + WinWidth /4, 1);
	AutoRecordEditor.WinLeft = cl;
	AutoRecordEditor.EditBoxWidth = 20;
}

//-------------------------------------
// Notify
//-------------------------------------
function Notify(UWindowDialogControl _Control, byte i)
{
	Super.Notify(_Control, i);

	switch (i)
	{
        case DE_Change:

        switch (_Control)
        {
            case ShowTimeEditor: ShowTime(); break;
            case ShowPingEditor: ShowPing(); break;
            case ShowTeamsEditor: ShowTeams(); break;
            case ShowAccEditor: ShowWeaponAccuracy(); break;
            case ShowFCEditor: ShowFC(); break;
            case AutoSSEditor: AutoSS(); break;
            case ShowTBEditor: TB(); break;
            case ColoredTextEditor: ColoredText(); break;
            case HitSoundsEditor: HitSounds(); break;
            case ShowBootsEditor: ShowBoots(); break;
            case ScopeSliderEditor:
                ScopeChanged();
                LoadTextures();
                break;
            case ShowLeaderEditor: ShowLeader(); break;
            case UseDotEditor: UseDot(); break;
            case DotREditor:
                HS.ChangeDotColor("RED", byte(DotREditor.GetValue()));
                LoadTextures();
                break;
            case DotBEditor:
                HS.ChangeDotColor("BLUE", byte(DotBEditor.GetValue()));
                LoadTextures();
                break;
            case DotGEditor:
                HS.ChangeDotColor("GREEN", byte(DotGEditor.GetValue()));
                LoadTextures();
                break;
            case DotXEditor: DotXChange(); break;
            case DotYEditor: DotYChange(); break;
            case NetAdjEditor: AdjustNet(); break;
            case AutoRecordEditor: AutoRecordSet(); break;
        }

        case DE_Click:

        switch (_Control)
        {
            case PlayButton: ExecPlay(); Close(); Root.Console.CloseUWindow(); break;
            case SpecButton: ExecSpec(); Close(); Root.Console.CloseUWindow(); break;
        }
	}
}

//-------------------------------------
// AutoRecordSet
//-------------------------------------
function AutoRecordSet()
{
    HS.AutoRecorder = byte(AutoRecordEditor.GetValue());
    HS.SaveConfig();
    LoadSettings();
}

//-------------------------------------
// DotXChange
//-------------------------------------
function DotXChange()
{
    HS.DotX = float(DotXEditor.GetValue());
    HS.SaveConfig();
    LoadSettings();
}

//-------------------------------------
// DotYChange
//-------------------------------------
function DotYChange()
{
    HS.DotY = float(DotYEditor.GetValue());
    HS.SaveConfig();
    LoadSettings();
}

//-------------------------------------
// ExecSpec
//-------------------------------------
function ExecSpec()
{
   if (!MyPlayer.PlayerReplicationInfo.bIsSpectator)
      MyPlayer.ConsoleCommand("Spectate");
}

//-------------------------------------
// ExecPlay
//-------------------------------------
function ExecPlay()
{
   if (MyPlayer.PlayerReplicationInfo.bIsSpectator)
      MyPlayer.ConsoleCommand("QuickJoin");
}

//-------------------------------------
// ShowTime
//-------------------------------------
function ShowTime()
{
   if (ShowTimeEditor.bChecked) MyPlayer.ConsoleCommand("ShowTime On");
   else MyPlayer.ConsoleCommand("ShowTime Off");
}

//-------------------------------------
// UseDot
//-------------------------------------
function UseDot()
{
   if (UseDotEditor.bChecked) MyPlayer.ConsoleCommand("UseDot On");
   else MyPlayer.ConsoleCommand("UseDot Off");
}

//-------------------------------------
// ShowPing
//-------------------------------------
function ShowPing()
{
   if (ShowPingEditor.bChecked) MyPlayer.ConsoleCommand("ShowPing On");
   else MyPlayer.ConsoleCommand("ShowPing Off");
}

//-------------------------------------
// ShowTeams
//-------------------------------------
function ShowTeams()
{
   if (ShowTeamsEditor.bChecked) MyPlayer.ConsoleCommand("ShowTeams On");
   else MyPlayer.ConsoleCommand("ShowTeams Off");
}

//-------------------------------------
// ShowWeaponAccuracy
//-------------------------------------
function ShowWeaponAccuracy()
{
   if (ShowAccEditor.GetValue() == "1")
      MyPlayer.ConsoleCommand("ShowWeaponAccuracy 1");
   else if (ShowAccEditor.GetValue() == "2")
      MyPlayer.ConsoleCommand("ShowWeaponAccuracy 2");
   else
      MyPlayer.ConsoleCommand("ShowWeaponAccuracy 0");
}

//-------------------------------------
// ShowFC
//-------------------------------------
function ShowFC()
{
   if (ShowFCEditor.bChecked) MyPlayer.ConsoleCommand("ShowFC On");
   else MyPlayer.ConsoleCommand("ShowFC Off");
}

//-------------------------------------
// AutoSS
//-------------------------------------
function AutoSS()
{
   if (AutoSSEditor.bChecked) MyPlayer.ConsoleCommand("AutoSS On");
   else MyPlayer.ConsoleCommand("AutoSS Off");
}

//-------------------------------------
// TB
//-------------------------------------
function TB()
{
   if (ShowTBEditor.bChecked) MyPlayer.ConsoleCommand("ShowBeacon On");
   else MyPlayer.ConsoleCommand("ShowBeacon Off");
}

//-------------------------------------
// ColoredText
//-------------------------------------
function ColoredText()
{
   if (ColoredTextEditor.bChecked) MyPlayer.ConsoleCommand("EText On");
   else MyPlayer.ConsoleCommand("EText Off");
}

//-------------------------------------
// HitSounds
//-------------------------------------
function HitSounds()
{
   if (HitSoundsEditor.bChecked) MyPlayer.ConsoleCommand("HitSounds On");
   else MyPlayer.ConsoleCommand("HitSounds Off");
}

//-------------------------------------
// ShowBoots
//-------------------------------------
function ShowBoots()
{
  if (ShowBootsEditor.bChecked) MyPlayer.ConsoleCommand("ShowBoots On");
  else MyPlayer.ConsoleCommand("ShowBoots Off");
}

//-------------------------------------
// ShowLeader
//-------------------------------------
function ShowLeader()
{
   if (ShowLeaderEditor.bChecked) MyPlayer.ConsoleCommand("ShowLeader On");
   else MyPlayer.ConsoleCommand("ShowLeader Off");
}

//-------------------------------------
// ScopeChanged
//-------------------------------------
function ScopeChanged()
{
	switch (ScopeSliderEditor.GetValue())
	{
        case 0: MyPlayer.ConsoleCommand("Scope 1"); break;
	    case 1: MyPlayer.ConsoleCommand("Scope 2"); break;
	    case 2: MyPlayer.ConsoleCommand("Scope 3"); break;
	    case 3: MyPlayer.ConsoleCommand("Scope 4"); break;
	    case 4: MyPlayer.ConsoleCommand("Scope 5"); break;
	}
}

//-------------------------------------
// AdjustNet
//-------------------------------------
function AdjustNet()
{
    local int i;

    i = byte(NetAdjEditor.GetValue());

    switch (i)
    {
        case 0:
             NetAdjHelper = "0%";
             NetAdjEditor.SetText(NetAdjText$"("$NetAdjHelper$")");
             MyPlayer.ConsoleCommand("Netcode"@i);
             break;
        case 1:
             NetAdjHelper = "20%";
             NetAdjEditor.SetText(NetAdjText$"("$NetAdjHelper$")");
             MyPlayer.ConsoleCommand("Netcode"@i);
             break;
        case 2:
             NetAdjHelper = "30%";
             NetAdjEditor.SetText(NetAdjText$"("$NetAdjHelper$")");
             MyPlayer.ConsoleCommand("Netcode"@i);
             break;
        case 3:
             NetAdjHelper = "40%";
             NetAdjEditor.SetText(NetAdjText$"("$NetAdjHelper$")");
             MyPlayer.ConsoleCommand("Netcode"@i);
             break;
        case 4:
             NetAdjHelper = "50%";
             NetAdjEditor.SetText(NetAdjText$"("$NetAdjHelper$")");
             MyPlayer.ConsoleCommand("Netcode"@i);
             break;
        case 5:
             NetAdjHelper = "60%";
             NetAdjEditor.SetText(NetAdjText$"("$NetAdjHelper$")");
             MyPlayer.ConsoleCommand("Netcode"@i);
             break;
        case 6:
             NetAdjHelper = "70%";
             NetAdjEditor.SetText(NetAdjText$"("$NetAdjHelper$")");
             MyPlayer.ConsoleCommand("Netcode"@i);
             break;
        case 7:
             NetAdjHelper = "80%";
             NetAdjEditor.SetText(NetAdjText$"("$NetAdjHelper$")");
             MyPlayer.ConsoleCommand("Netcode"@i);
             break;
        case 8:
             NetAdjHelper = "90%";
             NetAdjEditor.SetText(NetAdjText$"("$NetAdjHelper$")");
             MyPlayer.ConsoleCommand("Netcode"@i);
             break;
        case 9:
             NetAdjHelper = "100%";
             NetAdjEditor.SetText(NetAdjText$"("$NetAdjHelper$")");
             MyPlayer.ConsoleCommand("Netcode"@i);
             break;
        default:
             NetAdjHelper = "100%";
             NetAdjEditor.SetText(NetAdjText$"("$NetAdjHelper$")");
             MyPlayer.ConsoleCommand("Netcode"@i);
             break;
    }
}

//-------------------------------------
// LoadSettings
//-------------------------------------
function LoadSettings()
{
     local EUTHudSettings _HS;

     MyPlayer = EUTFramedWindow(ParentWindow).Root.GetPlayerOwner();

     foreach MyPlayer.AllActors(class'EUTHudSettings', _HS)
          if (_HS != none) HS = _HS;

     bAutoSS = HS.bAutoShot;
     bShowPing = HS.bShowPing;
     bShowTime = HS.bShowTime;
     bUseColoredText = HS.bColoredText;
     bShowTeams = HS.bShowTeams;
     bShowFC = HS.bShowFC;
     WeaponAccuracy = HS.bShowWeaponAccuracy;
     ScopeMode = HS.ScopeMode;
     HitSoundSoundS = HS.HitSounds;
     ScopeTexturePreview = HS.NewScopeTexture;
     bDrawDot = HS.bDot;
     DotColor = HS.DotColor;
     bTeamBeacons = HS.bTeamBeacon;
     bJumpBoots = HS.bJumpBoots;
     bLeader = HS.bLeaderBeacon;
     DotPreview.R = HS.DotColor.R;
     DotPreview.B = HS.DotColor.B;
     DotPreview.G = HS.DotColor.G;
     DotPosX = HS.DotX;
     DotPosY = HS.DotY;
     NetAdjPer = HS.nLevel;
     AutoRecord = HS.AutoRecorder;
}

//-------------------------------------
// GetNetAdj
//-------------------------------------
function string GetNetAdj()
{
    local string s;

    switch (NetAdjEditor.GetValue())
    {
        case 0: s = "0%"; break;
        case 1: s = "20%"; break;
        case 2: s = "30%"; break;
        case 3: s = "40%"; break;
        case 4: s = "50%"; break;
        case 5: s = "60%"; break;
        case 6: s = "70%"; break;
        case 7: s = "80%"; break;
        case 8: s = "90%"; break;
        case 9: s = "100%"; break;
        default: s = "100%"; break;
    }
    return s;
}

//-------------------------------------
// defaultproperties
//-------------------------------------
defaultproperties
{
    ShowTimeText="Display Map Time"
    ShowTimeHelp="Displays Time Left on Current Level"
    ShowPingText="Display Ping"
    ShowPingHelp="Display Ping On Hud"
    ShowTeamsText="Display Team Count"
    ShowTeamsHelp="Display Team Count On Hud"
    ShowAccText="Display Acc(1)/Eff(2)/Off(0) On Hud"
    ShowAccHelp="Display Accuracy on Hud"
    ShowFCText="Display Flag Carrier Name"
    ShowFCHelp="Display Flag Carrier name On Hud"
    AutoSSText="Auto SS At Map End"
    AutoSSHelp="Auto Take a Screen Shot at Map End"
    ShotTBText="* Use Team Beacons"
    ShowTBHelp="Use Team Beacons Must be Enabled Serverside"
    ColoredTextText="Colored TeamSay Messages"
    ColoredTextHelp="Use Colored TeamSay Messages"
    UseDotText="Use Non-Transparent Dot"
    UseDotHelp="Display Non Transparent dot X-hair"
    HitSoundsText="* Use HitSoundSounds"
    HitSoundsHelp="Use HitSoundSounds"
    ScopeSliderText="Scope Style"
    ScopeSliderHelp="Choose Your Rifle Scope"
    ShowBootsText="Display Boot Charges on Hud"
    ShowBootsHelp="Display Boot Charges on Hud"
    ShowLeaderText="Draw Leader on Hud"
    ShowLeaderHelp="Draw Leader on Hud"
    DotRText="Dot color Red (0 - 255)"
    DotRHelp="Enter a Red value between 0 - 255."
    DotBText="Dot color Blue (0 - 255)"
    DotBHelp="Enter a Blue value between 0 - 255."
    DotGText="Dot color Green (0 - 255)"
    DotGHelp="Enter a Green value between 0 - 255."
    DotXText="Adjust dot Screen X Position"
    DotXHelp="Enter a value between 0 - 255 to adjust dot Screen X position"
    DotYText="Adjust dot Screen Y Position"
    DotYHelp="Enter a value between 0 - 255 to adjust dot Screen Y position"
    NetAdjText="Adjust Client Netcode"
    NetAdjHelp="Enter a value to adjust netcode"
    AutoRecordText="AutoRecorder 0=Off 1=On LongFileName 2=On ShortFileName"
    AutoRecordHelp="0=Off 1=On LongFileName 2=On ShortFileName"
}
