/*
<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>
           EUTHudMessages
<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>
*/

class EUTHudMessages extends LocalMessagePlus;

var color RedColor,
    YellowColor,
    CyanColor,
    GreenColor;

var localized string TeamsUneven,
    RedCantCap,
    BlueCantCap,
    Ownage,
    Denied,
    Saved,
    GameWinningSave,
    HeadHunter,
    FlagCover,
    CoverSpree,
    UltraCover,
    Sealed,
    HatTrick,
    YouHaveTheFlag,
    EnemyHasTheFlag,
    FlakMonkey,
    ComboWhore,
    PlayerWaiting;


//-------------------------------------
// GetColor
//-------------------------------------
static function color GetColor(
	optional int i,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional PlayerReplicationInfo RelatedPRI_2
	)
{
	switch (i)
	{
        case 0: return Default.YellowColor; break;
	    case 1:
	    case 2: return Default.RedColor; break;
	    case 3: return Default.CyanColor; break;
	    case 4: return Default.RedColor; break;
	    case 5:
	    case 6:
	    case 7:
	    case 8:
	    case 9:
	    case 10:
	    case 11:
	    case 12:
	    case 13: return Default.GreenColor; break;
	    case 14: return Default.YellowColor; break;
	    case 15:
        case 16:
        case 17: return Default.GreenColor; break;
    }
}

//-------------------------------------
// GetOffset
//-------------------------------------
static function float GetOffset(int i, float YL, float ClipY )
{
	switch (i)
	{
        case 0: return ClipY - YL*2 - 0.0833*ClipY; break;
        case 1: return ClipY - YL*3 - 0.0833*ClipY; break;
        case 2:
        case 3: return (ClipY / 2)+ (YL * 1.5); break;
        case 4: return (ClipY / 2); break;
        case 5: return (Default.YPos/768.0) * ClipY - 3*YL; break;
        case 6:
        case 7:
        case 8: return (Default.YPos/768.0) * ClipY + YL*2; break;
        case 9: return ClipY - YL*4 - 0.0833*ClipY; break;
        case 10:
        case 11:
        case 12:
        case 13: return (Default.YPos/768.0) * ClipY - 3*YL;
        case 14:
        case 15:
        case 16: return ClipY - YL*4 - 0.0833*ClipY; break;
        case 17: return ClipY - YL*2 - 0.0833*ClipY; break;
    }
}

//-------------------------------------
// GetString
//-------------------------------------
static function string GetString(
	optional int i,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject
	)
{
	switch (i)
	{
        case 0: return Default.YouHaveTheFlag; break;
        case 1: return Default.EnemyHasTheFlag; break;
        case 2: return Default.RedCantCap; break;
        case 3: return Default.BlueCantCap; break;
        case 4: return Default.TeamsUneven; break;
        case 5: return Default.Ownage@RelatedPRI_1.PlayerName$"!"; break;
        case 6: return Default.Denied; break;
        case 7: return Default.Saved@RelatedPRI_1.playerName$"!"; break;
        case 8: return Default.GameWinningSave; break;
        case 9: return Default.HeadHunter; break;
        case 10: return RelatedPRI_1.PlayerName@Default.FlagCover; break;
        case 11: return RelatedPRI_1.PlayerName@Default.CoverSpree; break;
        case 12: return RelatedPRI_1.PlayerName@Default.UltraCover; break;
        case 13: return RelatedPRI_1.PlayerName@Default.Sealed; break;
        case 14: return RelatedPRI_1.PlayerName@Default.HatTrick; break;
        case 15: return Default.FlakMonkey; break;
        case 16: return Default.ComboWhore; break;
        case 17: return Default.PlayerWaiting; break;
	}
	return "";
}



//-------------------------------------
// defaultproperties
//-------------------------------------
defaultproperties
{
    RedColor=(R=255,G=0,B=0,A=0),
    YellowColor=(R=255,G=255,B=0,A=0),
    CyanColor=(R=0,G=128,B=255,A=0),
    GreenColor=(R=20,G=255,B=20,A=0),
    TeamsUneven="TEAMS ARE UNEVEN"
    RedCantCap="Red Should Not Cap The Flag."
    BlueCantCap="Blue Should Not Cap The Flag."
    Ownage="This is just TOO EASY for"
    Denied="DENIED!"
    Saved="Saved By"
    GameWinningSave="Game Winning Save!"
    HeadHunter="HeadHunter!"
    FlagCover="defended the flag carrier!"
    CoverSpree="is on a cover spree!"
    UltraCover="got a multi cover!"
    Sealed="is sealing off the base!"
    HatTrick="got a Hat Trick!"
    YouHaveTheFlag="You have the flag, return to base!"
    EnemyHasTheFlag="The enemy has your flag, recover it!"
    FlakMonkey="Flak Monkey!"
    ComboWhore="Combo Whore!"
    PlayerWaiting="Please Wait to be Verified"
    FontSize=1
    bIsSpecial=True
    bIsUnique=True
    bIsConsoleMessage=False
    bFadeMessage=True
    DrawColor=(R=0,G=128,B=255,A=0),
    YPos=196.00
    bCenter=True
}
