/*
<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>
            EUTHudSettings
<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>
*/

class EUTHudSettings extends info
config(EUT);

var PlayerPawn MyPlayer;

var EUTHudSettings HS;
var EUTHudHelper   HH;

var globalconfig bool bAutoShot;
var globalconfig bool bShowPing;
var globalconfig bool bShowTime;
var globalconfig bool bColoredText;
var globalconfig bool bShowTeams;
var globalconfig bool bShowFC;
var globalconfig bool bDot;
var globalconfig bool bTeamBeacon;
var globalconfig bool bShowCredits;
var globalconfig bool bLeaderBeacon;
var globalconfig bool bJumpBoots;

var globalconfig byte ScopeMode;
var globalconfig byte HitSounds;
var globalconfig byte nLevel;
var globalconfig byte AutoRecorder;

var globalconfig color DotColor;

var globalconfig int bShowWeaponAccuracy;

var globalconfig float DotX;
var globalconfig float DotY;

var globalconfig string NewScopeTexture;

var texture Scope1;

//-------------------------------------
// PostBeginPlay
//-------------------------------------
function PostBeginPlay()
{
	Super.PostBeginPlay();
	Scope1 = Texture(DynamicLoadObject("EUT_Textures.EUT_Scope1", class'Texture'));
}

//-------------------------------------
// ShowPing
//-------------------------------------
function ShowPing(string s)
{
	switch(Caps(s))
	{
	   case "1":
	   case "TRUE":
	   case "ON":
    	   MyPlayer.ClientMessage("Show Ping: ON");
    	   bShowPing = true;
    	   self.default.bShowPing = true;
    	   SaveConfig();
    	   break;

	   case "0":
	   case "FALSE":
	   case "OFF":
    	   MyPlayer.ClientMessage("Show Ping: OFF");
    	   bShowPing = false;
    	   self.default.bShowPing = false;
    	   SaveConfig();
    	   break;

	   default:
    	   MyPlayer.ClientMessage("Show Ping: "$bShowPing);
    	   break;
	}
}

//-------------------------------------
// ShowTime
//-------------------------------------
function ShowTime(string s)
{
	switch(Caps(s))
	{
	   case "1":
	   case "TRUE":
	   case "ON":
    	   MyPlayer.ClientMessage("Show Time: ON");
    	   bShowTime = true;
    	   self.default.bShowTime = true;
    	   SaveConfig();
    	   break;

	   case "0":
	   case "FALSE":
	   case "OFF":
    	   MyPlayer.ClientMessage("Show Time: OFF");
    	   bShowTime = false;
    	   self.default.bShowTime = false;
    	   SaveConfig();
    	   break;

	   default:
    	   MyPlayer.ClientMessage("Show Time: "$bShowTime);
    	   break;
	}
}

//-------------------------------------
// EText
//-------------------------------------
function EText(string s)
{
	switch(Caps(s))
	{
	   case "1":
	   case "TRUE":
	   case "ON":
    	   MyPlayer.ClientMessage("EText: ON");
    	   bColoredText = true;
    	   self.default.bColoredText = true;
    	   SaveConfig();
    	   break;

	   case "0":
	   case "FALSE":
	   case "OFF":
    	   MyPlayer.ClientMessage("EText: OFF");
    	   bColoredText = false;
    	   self.default.bColoredText = false;
    	   SaveConfig();
    	   break;

	   default:
    	   MyPlayer.ClientMessage("EText: "$bColoredText);
    	   break;
	}
}

//-------------------------------------
// ShowTeams
//-------------------------------------
function ShowTeams(string s)
{
	switch(Caps(s))
	{
	   case "1":
	   case "TRUE":
	   case "ON":
    	   MyPlayer.ClientMessage("ShowTeams: ON");
    	   bShowTeams = true;
    	   self.default.bShowTeams = true;
    	   SaveConfig();
    	   break;

	   case "0":
	   case "FALSE":
	   case "OFF":
    	   MyPlayer.ClientMessage("ShowTeams: OFF");
    	   bShowTeams = false;
    	   self.default.bShowTeams = false;
    	   SaveConfig();
    	   break;

	   default:
    	   MyPlayer.ClientMessage("ShowTeams: "$bShowTeams);
    	   break;
	}
}

//-------------------------------------
// ShowWeaponAccuracy
//-------------------------------------
function ShowWeaponAccuracy(string s)
{
	switch(Caps(s))
	{
	   case "0":
    	   bShowWeaponAccuracy = int("0");
    	   self.default.bShowWeaponAccuracy = int("0");
    	   MyPlayer.ClientMessage("Show Accuracy/Efficiency: Off");
    	   SaveConfig();
    	   break;

	   case "1":
    	   bShowWeaponAccuracy = int("1");
    	   self.default.bShowWeaponAccuracy = int("1");
    	   MyPlayer.ClientMessage("Show Accuracy: On");
    	   SaveConfig();
    	   break;

	   case "2":
    	   bShowWeaponAccuracy = int("2");
    	   self.default.bShowWeaponAccuracy = int("2");
    	   MyPlayer.ClientMessage("Show Efficiency: On");
    	   SaveConfig();
    	   break;

	   default:
    	   MyPlayer.ClientMessage("ShowWeaponAccuracyuracy/Efficiency: "$bShowWeaponAccuracy);
    	   break;
	}
}

//-------------------------------------
//  Scope
//-------------------------------------
function Scope(string s)
{
   switch(Caps(s))
   {
      case "1":
          NewScopeTexture = "EUT_Textures.EUT_Scope1";
          ScopeMode = 1;
          self.default.ScopeMode = 1;
          SaveConfig();
          MyPlayer.ClientMessage("Scope texture Set: "$GetCurrentScope(NewScopeTexture));
          break;

      case "2":
          NewScopeTexture = "EUT_Textures.Sample1";
          ScopeMode = 2;
          self.default.ScopeMode = 2;
          SaveConfig();
          MyPlayer.ClientMessage("Scope texture Set: "$GetCurrentScope(NewScopeTexture));
          break;

      case "3":
          NewScopeTexture = "EUT_Textures.Sample2";
          ScopeMode = 3;
          self.default.ScopeMode = 3;
          SaveConfig();
          MyPlayer.ClientMessage("Scope texture Set: "$GetCurrentScope(NewScopeTexture));
          break;

      case "4":
          NewScopeTexture = "BotPack.RReticle";
          ScopeMode = 4;
          self.default.ScopeMode = 4;
          SaveConfig();
          MyPlayer.ClientMessage("Scope texture Set:  Default");
          break;

      case "5":
          NewScopeTexture = "EUT_Textures.EUTReticle";
          ScopeMode = 5;
          self.default.ScopeMode = 5;
          SaveConfig();
          MyPlayer.ClientMessage("Scope texture Set:  Default Hidden");
          MyPlayer.ClientMessage("L337 Scope Active");
          break;
   }
}

//-------------------------------------
//  ShowHelp
//-------------------------------------
function ShowHelp(string s)
{
    MyPlayer.ClientMessage("Client Commands: (Type directly into console or bind to key!)");
    MyPlayer.ClientMessage("AutoSS on/off    Turns auto SS on/off");
    MyPlayer.ClientMessage("ShowPing on/off    Turns Ping Display on/off");
    MyPlayer.ClientMessage("ShowTime on/off    Turns Time Display on/off");
    MyPlayer.ClientMessage("ShowTeams on/off    Turns Team Count Display on/off");
    MyPlayer.ClientMessage("ShowBoots on/off    Turns Boot Count Display on/off");
    MyPlayer.ClientMessage("ShowBeacon on/off    Turns Team Beacon Display on/off");
    MyPlayer.ClientMessage("ShowFC on/off    Turns Flag Carrier Display on/off");
    MyPlayer.ClientMessage("ShowWeaponAccuracy on/off    Turns Accuracy Display on/off");
    MyPlayer.ClientMessage("UseDot on/off    Turns Cross Dot on/off");
    MyPlayer.ClientMessage("EText: on/off   Turns Colored Teamsay Messages on/off");
    MyPlayer.ClientMessage("HitSoundSounds: on/off   Turns HitSoundSounds on/off");
    MyPlayer.ClientMessage("Scope: 1,2,3,or 4    Toggle Through default Scopes");
    MyPlayer.ClientMessage("Spectate  auto Reconnect as Spectator if Spots Available");
    MyPlayer.ClientMessage("QuickJoin  auto Reconnect as Player");
    MyPlayer.ClientMessage("F2  Advanced Server Stats");
    MyPlayer.ClientMessage("F3  Advanced Player Stats");
    MyPlayer.ClientMessage("ShowTeamInfo  Advanced Team Info / bind to any key");
    OpenSettingsWindow();
}

//-------------------------------------
//  GetCurrentScope
//-------------------------------------
function string GetCurrentScope(string s)
{
    if (InStr(s, ".") != -1)
		s = Right(s, Len(s) - InStr(s, ".") - 1);

	return s;
}

//-------------------------------------
// ShowFC
//-------------------------------------
function ShowFC(string s)
{
	switch(Caps(s))
	{
	   case "1":
	   case "TRUE":
	   case "ON":
    	   MyPlayer.ClientMessage("ShowFC: ON");
    	   bShowFC = true;
    	   self.default.bShowFC = true;
    	   SaveConfig();
    	   break;

	   case "0":
	   case "FALSE":
	   case "OFF":
    	   MyPlayer.ClientMessage("ShowFC: OFF");
    	   bShowFC = false;
    	   self.default.bShowFC = false;
    	   SaveConfig();
    	   break;

	   default:
    	   MyPlayer.ClientMessage("ShowFCs: "$bShowFC);
    	   break;
	}
}

//-------------------------------------
// _HitSounds
//-------------------------------------
function _HitSounds(string s)
{
	switch(Caps(s))
	{
	   case "1":
	   case "TRUE":
	   case "ON":
    	   MyPlayer.ClientMessage("HitSounds: ON");
    	   HitSounds = 1;
    	   self.default.HitSounds = 1;
    	   SaveConfig();
    	   break;

	   case "0":
	   case "FALSE":
	   case "OFF":
    	   MyPlayer.ClientMessage("HitSounds: OFF");
    	   HitSounds = 0;
    	   self.default.HitSounds = 0;
    	   SaveConfig();
    	   break;

	   default:
    	   MyPlayer.ClientMessage("HitSounds: "$HitSounds);
    	   break;
	}
}

//-------------------------------------
// AutoSS
//-------------------------------------
function AutoSS(string s)
{
	switch(Caps(s))
	{
	   case "1":
	   case "TRUE":
	   case "ON":
    	   MyPlayer.ClientMessage("AutoSS: ON");
    	   bAutoShot = true;
    	   self.default.bAutoShot = true;
    	   SaveConfig();
    	   break;

	   case "0":
	   case "FALSE":
	   case "OFF":
    	   MyPlayer.ClientMessage("AutoSS: OFF");
    	   bAutoShot = false;
    	   self.default.bAutoShot = false;
    	   SaveConfig();
    	   break;

	   default:
    	   MyPlayer.ClientMessage("AutoSS: "$bAutoShot);
    	   break;
	}
}

//-------------------------------------
// UseDot
//-------------------------------------
function UseDot(string s)
{
	switch(Caps(s))
	{
	   case "1":
	   case "TRUE":
	   case "ON":
    	   MyPlayer.ClientMessage("UseDot: ON");
    	   bDot = true;
    	   self.default.bDot = true;
    	   SaveConfig();
    	   break;

	   case "0":
	   case "FALSE":
	   case "OFF":
    	   MyPlayer.ClientMessage("UseDot: OFF");
    	   bDot = false;
    	   self.default.bDot = false;
    	   SaveConfig();
    	   break;

	   default:
    	   MyPlayer.ClientMessage("UseDot: "$bDot);
    	   break;
	}
}

//-------------------------------------
// ShowBeacon
//-------------------------------------
function ShowBeacon(string s)
{
	switch(Caps(s))
	{
	   case "1":
	   case "TRUE":
	   case "ON":
    	   MyPlayer.ClientMessage("ShowBeacon: ON");
    	   bTeamBeacon = true;
    	   self.default.bTeamBeacon = true;
    	   SaveConfig();
    	   break;

	   case "0":
	   case "FALSE":
	   case "OFF":
    	   MyPlayer.ClientMessage("ShowBeacon: OFF");
    	   bTeamBeacon = false;
    	   self.default.bTeamBeacon = false;
    	   SaveConfig();
    	   break;

	   default:
    	   MyPlayer.ClientMessage("ShowBeacon: "$bTeamBeacon);
    	   break;
	}
}

//-------------------------------------
// ShowLeader
//-------------------------------------
function ShowLeader(string s)
{
	switch(Caps(s))
	{
	   case "1":
	   case "TRUE":
	   case "ON":
    	   MyPlayer.ClientMessage("ShowLeader: ON");
    	   bLeaderBeacon = true;
    	   self.default.bLeaderBeacon = true;
    	   SaveConfig();
    	   break;

	   case "0":
	   case "FALSE":
	   case "OFF":
    	   MyPlayer.ClientMessage("ShowLeader: OFF");
    	   bLeaderBeacon = false;
    	   self.default.bLeaderBeacon = false;
    	   SaveConfig();
    	   break;

	   default:
    	   MyPlayer.ClientMessage("ShowLeader: "$bLeaderBeacon);
    	   break;
	}
}

//-------------------------------------
// ShowBoots
//-------------------------------------
function ShowBoots(string s)
{
	switch(Caps(s))
	{
	   case "1":
	   case "TRUE":
	   case "ON":
    	   MyPlayer.ClientMessage("ShowBoots: ON");
    	   bJumpBoots = true;
    	   self.default.bJumpBoots = true;
    	   SaveConfig();
    	   break;

	   case "0":
	   case "FALSE":
	   case "OFF":
    	   MyPlayer.ClientMessage("ShowBoots: OFF");
    	   bJumpBoots = false;
    	   self.default.bJumpBoots = false;
    	   SaveConfig();
    	   break;

	   default:
    	   MyPlayer.ClientMessage("ShowBoots: "$bJumpBoots);
    	   break;
	}
}

//-------------------------------------
// ChangeDotColor
//-------------------------------------
function ChangeDotColor(string Type, byte Value)
{
    switch(Caps(Type))
    {
        case "RED":
            DotColor.R = Value;
            self.default.DotColor.R = Value;
            break;

        case "BLUE":
            DotColor.B = Value;
            self.default.DotColor.B = Value;
            break;

        case "GREEN":
            DotColor.G = Value;
            self.default.DotColor.G = Value;
            break;
    }

    SaveConfig();
}

//-------------------------------------
// OpenSettingsWindow
//-------------------------------------
final function OpenSettingsWindow()
{
    local WindowConsole Con;
    local EUTFramedWindow FW;
    const W = 520;
    const H = 500;

    if (MyPlayer == none || MyPlayer.Player == none || MyPlayer.Player.Console == none)
    {
        log("I'm an access none :P");
        return;
    }

    Con = WindowConsole(MyPlayer.Player.Console);

    if (Con == none)
    {
        MyPlayer.ClientMessage("Unable to locate WindowConsole in EUTHudSettings>>OpenSettingsWindow()");
        log("Unable to locate WindowConsole in EUTHudSettings>>OpenSettingsWindow()");
        return;
    }

    if (!Con.bCreatedRoot || (Con.Root == None))
        Con.CreateRootWindow(None);

    Con.bQuickKeyEnable = True;
    FW = EUTFramedWindow(Con.Root.CreateWindow(Class'EUTFramedWindow', 30.0, 30.0, W, H));
    FW.HS = self;
    FW.ShowWindow();
}

//-------------------------------------
// ChangenLevel
//-------------------------------------
function ChangenLevel(string s)
{
    local byte i;

    i = byte(s);
    if (i >= 0 && (i <= 9))
    {
        nLevel = i;
        default.nLevel = i;
        SaveConfig();
    }
}

//-------------------------------------
// defaultproperties
//-------------------------------------
defaultproperties
{
    bShowPing=True
    bShowTime=True
    bColoredText=True
    bShowFC=True
    bJumpBoots=True
    ScopeMode=4
    nLevel=9
    DotColor=(R=0,G=255,B=0,A=0),
    NewScopeTexture="BotPack.RReticle"
}
