/*
<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>
            EUTSayMessagePlus
<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>
*/

class EUTSayMessagePlus expands EUTStringMessagePlus;

//-------------------------------------
// RenderComplexMessage
//-------------------------------------
static function RenderComplexMessage(
	Canvas C,
	out float XL,
	out float YL,
	optional string MessageString,
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject
	)
{
	if (RelatedPRI_1 == None) return;
    C.DrawColor = Default.GreenColor;
	C.DrawText( RelatedPRI_1.PlayerName$": ", false );
	C.SetPos( C.CurX, C.CurY - YL );
	C.DrawColor = Default.LightGreenColor;
	C.DrawText( MessageString, false );
}

//-------------------------------------
// AssembleString
//-------------------------------------
static function string AssembleString(
	HUD MyHud,
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional String MessageString
	)
{
	if (RelatedPRI_1 == None) return "";
	if (RelatedPRI_1.PlayerName == "") return "";
	return RelatedPRI_1.PlayerName$": "@MessageString;
}

//-------------------------------------
// defaultproperties
//-------------------------------------
defaultproperties
{
    bComplexString=True
    DrawColor=(R=0,G=255,B=0,A=0),
}
