/*
<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>
           EUTTeamSayMessagePlus
<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>
*/

class EUTTeamSayMessagePlus expands StringMessagePlus;

var globalconfig color YellowColor;
var globalconfig color CyanColor;

//-------------------------------------
// RenderComplexMessage
//-------------------------------------
static function RenderComplexMessage(
	Canvas C,
	out float XL,
	out float YL,
	optional string MessageString,
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject
	)
{
	local string LocationName;

	if ( RelatedPRI_1 == None )
		return;

    C.DrawColor = Default.CyanColor;
	C.DrawText( RelatedPRI_1.PlayerName$" ", false );
	C.SetPos( C.CurX, C.CurY - YL );
	if ( RelatedPRI_1.PlayerLocation != None )
		LocationName = RelatedPRI_1.PlayerLocation.LocationName;
	else if ( RelatedPRI_1.PlayerZone != None )
		Locationname = RelatedPRI_1.PlayerZone.ZoneName;

	if ( LocationName != "" )
	{
		C.DrawColor = Default.CyanColor;
		C.DrawText( " ("$LocationName$"):", false );
	}
	else
	C.DrawText( ": ", false );
	C.SetPos( C.CurX, C.CurY - YL );
	C.DrawColor = Default.YellowColor;
	C.DrawText( MessageString, false );
}

//-------------------------------------
// AssembleString
//-------------------------------------
static function string AssembleString(
	HUD MyHud,
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1,
	optional String MessageString
	)
{
	local string LocationName;

	if ( RelatedPRI_1 == None )
		return "";
	if ( RelatedPRI_1.PlayerLocation != None )
		LocationName = RelatedPRI_1.PlayerLocation.LocationName;
	else if ( RelatedPRI_1.PlayerZone != None )
		Locationname = RelatedPRI_1.PlayerZone.ZoneName;
	if ( Locationname == "" )
		return RelatedPRI_1.PlayerName$" "$": "$MessageString;
	else
		return RelatedPRI_1.PlayerName$"  ("$LocationName$"): "$MessageString;
}

//-------------------------------------
// defaultproperties
//-------------------------------------
defaultproperties
{
    YellowColor=(R=255,G=255,B=0,A=0),
    CyanColor=(R=0,G=255,B=255,A=0),
    bComplexString=True
    DrawColor=(R=0,G=255,B=0,A=0),
}
